#!/bin/bash

#This script generates new date file names for each data type
#and then copies the file into the *work* directory tree.

#This script will be replace by the script that goes to
#each instrument computer and places the data into the *work* tree

#Set the path
export PATH=$HOME/bin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin

echo "  Start MakeData.bash `date -u`"

#Check that USB disk is mounted.
#If it is then procede
#Else exit with error code

#get the USB disk mount point
read diskpath < $HOME/search/diskpath

if [ -d "$diskpath"/search ]; then
  echo "    "making data
else
  echo "    "USB disk "$diskpath" not mounted
  exit 1
fi

cd $HOME/search/dmc
read deltadate < newdate.txt
hsrldate=`getymd $deltadate`
mwraddate=`getMWRadymd $deltadate`
mmcrdate=`getjday $deltadate`
let deltadate=deltadate+1
mmcrdate1=`getjday $deltadate`
echo $deltadate > newdate.txt

echo "    "making data for hsrl in dmc
cd $HOME/search/dmc/hsrl
for f in *.nc
do
  g=`echo $f | sed "s/date/$hsrldate/"`
  echo "      "new file name $g
  cp $f $HOME/search/work/hsrl/"$g"
done

echo "    "making data for mwrad in dmc
cd $HOME/search/dmc/mwrad
for f in *.csv
do
  g=`echo $f | sed "s/date/$mwraddate/"`
  echo "      "new file name $g
  cp $f $HOME/search/work/mwrad/"$g"
done

echo "    "making data for mom in dmc
cd $HOME/search/dmc/mom
for f in date*.nc
do
  g=`echo $f | sed "s/date/$mmcrdate/"`
  echo "      "new file name $g
  cp $f $g
  zip "$g".zip "$g"
  mv "$g".zip $HOME/search/work/mmcr/mom
  rm "$g"
done
for f in date*.txt
do
  g=`echo $f | sed "s/date/$mmcrdate/"`
  echo "      "new file name $g
  cp $f $HOME/search/work/mmcr/mom/"$g"
done
for f in ndate*
do
  g=`echo $f | sed "s/ndate/$mmcrdate1/"`
  echo "      "new file name $g
  cp $f $HOME/search/work/mmcr/mom/"$g"
done

echo "    "making data for spc in dmc
cd $HOME/search/dmc/spc
for f in date*
do
  g=`echo $f | sed "s/date/$mmcrdate/"`
  echo "      "new file name $g
  cp $f $HOME/search/work/mmcr/spc/"$g"
done

echo "  Stop MakeData.bash `date -u`"
